<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.7

Copyright (C) 2006-2007  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

/*********************************************************/
/* Diverses fonctions pour les listes affichées dans SMI */
/*********************************************************/

// Création des titres (th) des listes écrans

function titlst($interv,$tableau)
{
	foreach ($tableau as $nom_col => $code_champ)
	{
		echo "<th>";
		$urltria = $_SERVER["PHP_SELF"]."?search=".trim($_GET["search"])."&rech=".$_GET["rech"]."&ord=ASC&tri=".$nom_col;
		$urltrid = $_SERVER["PHP_SELF"]."?search=".trim($_GET["search"])."&rech=".$_GET["rech"]."&ord=DES&tri=".$nom_col;

		$urltria .= "&ta=".@$_GET['ta']; // Ajout de 'ta'
		$urltrid .= "&ta=".@$_GET['ta']; // Ajout de 'ta'
		
		$urltria .= "&tx=".@$_GET['tx']; // Ajout de 'tx'
		$urltrid .= "&tx=".@$_GET['tx']; // Ajout de 'tx'
		
		$urltria .= "&td=".@$_GET['td']; // Ajout de 'td'
		$urltrid .= "&td=".@$_GET['td']; // Ajout de 'td'

		if ($interv == TRUE) // Ces compléments ne sont nécessaires que pour les listes rattachées à une intervention
		{
			$urltria .= "&cc=".@$_GET['cc']; // Ajout de 'cc'
			$urltrid .= "&cc=".@$_GET['cc']; // Ajout de 'cc'
	
			$urltria .= "&ci=".@$_GET['ci']; // Ajout de 'ci'
			$urltrid .= "&ci=".@$_GET['ci']; // Ajout de 'ci'
	
			$urltria .= "&ca=".@$_GET['ca']; // Ajout de 'ca'
			$urltrid .= "&ca=".@$_GET['ca']; // Ajout de 'ca'
		}
		
		echo "<a href=\"$urltria\"><img src=\"../img/dn.gif\" title=\"Tri Ascendant sur '".ucfirst("$nom_col")."'\" width=\"16\" height=\"16\" border=\"0\" align=\"absmiddle\"></a>\n";
		echo " ".ucfirst("$nom_col")." ";
		echo "<a href=\"$urltrid\"><img src=\"../img/up.gif\" title=\"Tri Descendant sur '".ucfirst("$nom_col")."'\" width=\"16\" height=\"16\" border=\"0\" align=\"absmiddle\"></a>\n";
		echo "</th>\n";
	}
}

// Création des lignes TR des listes écrans
// avec effet au passage de la souris

function creetrlst($index)
{
		// Couleurs alternées
		if($index%2 == 0)  
		   echo "<tr onmouseover=\"this.style.backgroundColor='Whitesmoke'\" onmouseout=\"this.style.backgroundColor='Limegreen'\" class=\"TRalter1\">\n";
		else
		   echo "<tr onmouseover=\"this.style.backgroundColor='Whitesmoke'\" onmouseout=\"this.style.backgroundColor='Lime'\" class=\"TRalter2\">\n";
}

// Création des lignes TR des listes écrans (détails)
// avec effet au passage de la souris

function creetrlstdet($index)
{
		// Couleurs alternées
		if($index%2 == 0)  
		   echo "<tr onmouseover=\"this.style.backgroundColor='Whitesmoke'\" onmouseout=\"this.style.backgroundColor='#999999'\" class=\"TRalter1D\">\n";
		else
		   echo "<tr onmouseover=\"this.style.backgroundColor='Whitesmoke'\" onmouseout=\"this.style.backgroundColor='#CCCCCC'\" class=\"TRalter2D\">\n";
}

// Retour Page Précédente si liste vide

function retpp()
{
	global
		$url_add,
		$hl_vign;

	echo "<span class=\"annot_std__gras\">Aucun enregistrement trouvé</span><br>";
	if (isset($_GET['search']) && !empty($_GET['search']))  // Retour page précédente uniquement si "recherche" demandée
	{
		echo "<br>";
		echo "<a href=\"javascript:history.back();\">";
		echo "<img src=\"../img/prec.png\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\">";
		echo "[<< Retour à la page précédente]";
		echo "</a>";
	}
	else // Si pas de recherche, c'est que l'on est en affichage de liste classique...on peut donc ajouter
	{
		if (($url_add <> "") AND (@$_GET['ta'] <> "i"))
		{ 
			echo "<br>";
			echo "<a href=\"".$url_add."\"><img src=\"../img/add.gif\" title =\"Ajouter enregistrement\" width=\"".$hl_vign."\"  border=\"0\" align=\"absmiddle\"></a>";
			echo "<a href=\"".$url_add."\"> Ajouter</a>";
		}
	}
}

/*********************************************************/
/* Diverses fonctions pour les listes imprimées dans SMI */
/*********************************************************/

//	Entête des impressions des listes

function entimplst($titre)
{
	echo "<p align=\"center\"><span class=\"titre_impression\">$titre</span></p>";
	echo "<span class=\"annot_petit_it\">";
	echo "Imprimée le : ";
	echo "</span>";
	echo "<span class=\"annot_gras_it\">";
	echo date("d-m-Y H:i:s")."<br>";
	echo "</span>";
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		echo "<span class=\"annot_petit_it\">";
		echo "Filtrée sur : ";
		echo "</span>";
		echo "<span class=\"annot_gras_it\">";
		echo trim($_GET['search']);
		echo "</span>";
		echo "<span class=\"annot_petit_it\">";
		echo ". ";
		echo "</span>";
	}
	if( isset($_GET['tri']) && !empty($_GET['tri']))  
	{
		echo "<span class=\"annot_petit_it\">";
		echo "Triée par : ";
		echo "</span>";
		echo "<span class=\"annot_gras_it\">";
		echo $_GET['tri'];
		echo "</span>";
		echo "<span class=\"annot_petit_it\">";
		if ((@$_GET['ord'] == "ASC") OR (@$_GET['ord'] == ""))
		{
			echo " (";
			echo "</span>";
			echo "<span class=\"annot_gras_it\">";
			echo "Ascendant";
			echo "</span>";
			echo "<span class=\"annot_petit_it\">";
			echo ").";
		}
		else
		{
			echo " (";
			echo "</span>";
			echo "<span class=\"annot_gras_it\">";
			echo "Descendant";
			echo "</span>";
			echo "<span class=\"annot_petit_it\">";
			echo ").";
		}
		echo "</span>";
	}
	if ((trim(@$_GET['search']) <> "") OR (@$_GET['ord'] <> ""))
	{
		echo "<br>";
	}
}

// Création des titres (th) des listes ou fiches imprimées

function titimplst($tableau)
{
	foreach ($tableau as $nom_col => $code_champ)
	{
		echo "<th>";
		echo ucfirst("$nom_col");
		echo "</th>\n";
	}
}

/***************************************************************/
/* Diverses fonctions pour les traitements des listes dans SMI */
/***************************************************************/

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des logs de connexions **/

function cree_strrechlstlog()
{
	$rech ="";

	$rech = "SELECT * FROM " .TBLOG;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// WHERE existe ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " log_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 if (datefrcorrecte(trim($_GET['search'])) == TRUE)
		 {
		 	 $daterech = datefrang(trim($_GET['search']));
			 $rech .= " log_date LIKE '%".addslashes($daterech)."%' OR";
		 }
		 $rech .= " log_heure LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " log_urlprec LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " log_url LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " log_ip LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}


/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des logs de fichiers **/

function cree_strrechlstflog()
{
	$rech ="";

	$rech = "SELECT * FROM " .TBFICLOG;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// WHERE existe ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 if (datefrcorrecte(trim($_GET['search'])) == TRUE)
		 {
		 	 $daterech = datefrang(trim($_GET['search']));
			 $rech .= " ficlog_date LIKE '%".addslashes($daterech)."%' OR";
		 }
		 $rech .= " ficlog_heure LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ficlog_ip LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ficlog_ref LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ficlog_fic LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $search = strtolower($_GET['search']);
		 if (($search == "ok") OR ($search == "hack") OR ($search == "leech") OR ($search == "inconnu"))
		 {
		 	switch ($search)
			{
				case "ok" :
					$rech .= " ficlog_type = '0' OR";
					break;
				case "hack" :
					$rech .= " ficlog_type = '1' OR";
					break;
				case "leech" :
					$rech .= " ficlog_type = '2' OR";
					break;
				case "inconnu" :
					$rech .= " ficlog_type = '3' OR";
					break;
				default :
					break;
			}
		 }
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des agences **/

function cree_strrechlstage()
{
	$rech ="";

	$rech = "SELECT DISTINCT * FROM " .TBAGE.", ".TBACAT.", ".TBVILLES.", ".TBPAYS;
	$rech.= " WHERE ".TBAGE.".age_cat=".TBACAT.".acat_code";
	$rech.= " AND ".TBAGE.".age_ville=".TBVILLES.".villes_id AND ".TBAGE.".age_codepays=".TBPAYS.".pays_code";
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// WHERE existe ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= TBAGE.".age_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBAGE.".age_nom LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBAGE.".age_telf LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBAGE.".age_ville LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBAGE.".age_codepays LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBAGE.".age_email LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBACAT.".acat_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBVILLES.".villes_cp LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBPAYS.".pays_nom LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBAGE.".age_cat=".TBACAT.".acat_code";
	else
		$rech .= " AND ".TBAGE.".age_cat=".TBACAT.".acat_code";
	// *** Fin de Recherche
	
	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des catégories agences **/

function cree_strrechlstacat()
{
	$rech = "SELECT * FROM " .TBACAT;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " acat_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " acat_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des catégories clients **/

function cree_strrechlstcat()
{
	$rech = "SELECT * FROM " .TBCCAT;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " cat_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " cat_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des civilités **/

function cree_strrechlstciv()
{
	$rech = "SELECT * FROM " .TBCIV;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " civ_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " civ_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des donneurs d'ordres **/

function cree_strrechlstdo()
{
	$rech ="";

	$rech = "SELECT * FROM " .TBDO.", ".TBVILLES.", ".TBPAYS;
	$rech.= " WHERE ".TBDO.".do_ville=".TBVILLES.".villes_id AND ".TBDO.".do_codepays=".TBPAYS.".pays_code";
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// WHERE existe ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= TBDO.".do_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBDO.".do_nom LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBDO.".do_telf LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBDO.".do_ville LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBDO.".do_codepays LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBDO.".do_email LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBVILLES.".villes_cp LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBPAYS.".pays_nom LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche
	
	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des fonctions **/

function cree_strrechlstfonc()
{
	$rech = "SELECT * FROM " .TBFONC;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " fonc_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " fonc_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des clients **/

function cree_strrechlstcli($nivutil,$codeage,$codedo)
{
	$rech = "SELECT 
				cli_prop,
				cli_codedo,
				cli_code,
				cli_ste,
				cli_civilite,
				cli_prenom,
				cli_nom,
				cli_dep,
				cli_telf,
				cli_telp,
				cli_email,
				cli_cpta
			 FROM ".TBCLI;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " cli_prop LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " cli_codedo LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " cli_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " cli_ste LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " cli_civilite LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " cli_prenom LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " cli_nom LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " cli_telf LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " cli_telp LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " cli_email LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	switch ($nivutil)
	{
		// Agences ou Techniciens
		case 4 :
		case 3 :
			$rech2 = "SELECT * FROM " .TBAGE. " WHERE age_code = '$codeage'";
			$rs2 = mysql_query($rech2)or die(mysql_error());
			if ($row2 = mysql_fetch_array($rs2))
				extract ($row2);
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE (".TBCLI.".cli_prop='".$codeage."' OR (".TBCLI.".cli_prop IS NULL";
			else
				$rech .= " AND (".TBCLI.".cli_prop='".$codeage."' OR (".TBCLI.".cli_prop IS NULL";			
			$rech3 = "SELECT * FROM " .TBZCC. " WHERE zcc_code = '$codeage'";
			$rs3 = mysql_query($rech3)or die(mysql_error());
			if (mysql_num_rows($rs3)>0)
			{
				$idx=0;
				$rech .= " AND (";
				while ($row3 = mysql_fetch_assoc($rs3)) 
				{         
					extract ($row3);
					if ($idx==0)
						$rech .= " ".TBCLI.".cli_dep='".$zcc_codedep."'";
					else
						$rech .= " OR ".TBCLI.".cli_dep='".$zcc_codedep."'";
					$idx++;
				}
				$rech .= ") AND cli_codepays='".$age_codepays."'";
				$rech .=")";
			}
			$rech .=")";
			break;

		// Donneurs d'Ordres et leurs Techniciens
		case 6 :
		case 7 :
			$rech2 = "SELECT * FROM " .TBDO. " WHERE do_code = '$codedo'";
			$rs2 = mysql_query($rech2)or die(mysql_error());
			if ($row2 = mysql_fetch_array($rs2))
				extract ($row2);
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE ".TBCLI.".cli_codedo='".$codedo."'";
			else
				$rech .= " AND ".TBCLI.".cli_codedo='".$codedo."'";
			break;
		default :
			break;
	}
	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des clients **/

function cree_strrechlstcliope()
{
	$rech = "SELECT 
				cli_prop,
				cli_code,
				cli_ste,
				cli_civilite,
				cli_prenom,
				cli_nom,
				cli_dep,
				cli_cpta
			 FROM ".TBCLI;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " cli_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " cli_ste LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " cli_civilite LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " cli_prenom LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " cli_nom LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des contrats types **/

function cree_strrechlstco()
{
	$rech = "SELECT * FROM ".TBCO;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " co_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " co_nom LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " co_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " co_cgv LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $search = ucwords(strtolower($_GET['search']));
		 if (($search == "Actif") OR ($search == "Inactif"))
		 {
		 	if ($search == "Actif")
			{
				$rech .= " co_actif = '1' OR";
			}
			else
			{
				$rech .= " co_actif = '0' OR";
			}
		 }
	
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des contrats clients **/

function cree_strrechlstcocl()
{
	$rech = "SELECT ".TBCOCL.".cocl_code, ".TBCOCL.".cocl_codeco, ".TBCOCL.".cocl_codeage, ".TBCOCL.".cocl_codecli, ".TBCOCL.".cocl_datecrea, ";
	$rech.= TBCOCL.".cocl_datesig, ".TBCOCL.".cocl_dated, ".TBCOCL.".cocl_datef, ".TBCOCL.".cocl_datefin, ".TBCOCL.".cocl_daterel, ".TBCOCL.".cocl_typh, ";
	$rech.= TBCOCL.".cocl_renouv, ".TBCOCL.".cocl_rnum, ".TBCOCL.".cocl_soldes, ".TBCOCL.".cocl_nbs, ";
	$rech.= TBCLI.".cli_ste, ".TBCLI.".cli_civilite, ".TBCLI.".cli_nom, ".TBCLI.".cli_dep, ";
	$rech.= TBCO.".co_code, ".TBCO.".co_nom ";
	$rech.= "FROM ".TBCOCL.", ".TBCLI.", ".TBCO;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= TBCOCL.".cocl_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBCOCL.".cocl_codeage LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBCOCL.".cocl_codeco LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBCOCL.".cocl_codecli LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 if (datefrcorrecte(trim($_GET['search'])) == TRUE)
		 {
		 	 $daterech = datefrang(trim($_GET['search']));
			 $rech .= " ".TBCOCL.".cocl_datecrea LIKE '%".addslashes($daterech)."%' OR";
			 $rech .= " ".TBCOCL.".cocl_datesig LIKE '%".addslashes($daterech)."%' OR";
			 $rech .= " ".TBCOCL.".cocl_dated LIKE '%".addslashes($daterech)."%' OR";
			 $rech .= " ".TBCOCL.".cocl_datef LIKE '%".addslashes($daterech)."%' OR";
			 $rech .= " ".TBCOCL.".cocl_datefin LIKE '%".addslashes($daterech)."%' OR";
			 $rech .= " ".TBCOCL.".cocl_daterel LIKE '%".addslashes($daterech)."%' OR";
		 }
		 $search = strtolower(str_escape(trim($_GET['search'])));
		 if (($search == "oui") OR ($search == "non"))
		 {
		 	if ($search == "oui")
			{
				$rech .= " ".TBCOCL.".cocl_renouv = '1' OR";
			}
			else
			{
				$rech .= " ".TBCOCL.".cocl_renouv = '0' OR";
			}
		 }
		 $rech .= " ".TBCOCL.".cocl_rnum LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBCLI.".cli_ste LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBCLI.".cli_civilite LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBCLI.".cli_nom LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBCO.".co_nom LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBCOCL.".cocl_codecli=".TBCLI.".cli_code AND ".TBCOCL.".cocl_codeco=".TBCO.".co_code";
	else
		$rech .= " AND ".TBCOCL.".cocl_codecli=".TBCLI.".cli_code AND ".TBCOCL.".cocl_codeco=".TBCO.".co_code";
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des contrats clients (pour l'affichage clients) **/

function cree_strrechlstcoclc()
{
	$rech = "SELECT ".TBCOCL.".cocl_code, ".TBCOCL.".cocl_codeage, ".TBCOCL.".cocl_datecrea, ".TBCOCL.".cocl_datesig, ";
	$rech.= TBCOCL.".cocl_codeco, ".TBCOCL.".cocl_dated, ".TBCOCL.".cocl_datef, ".TBCOCL.".cocl_daterel, ".TBCOCL.".cocl_datefin, ";
	$rech.= TBCOCL.".cocl_typh, ".TBCOCL.".cocl_renouv, ".TBCOCL.".cocl_rnum, ";
	$rech.= TBCOCL.".cocl_soldes, ".TBCOCL.".cocl_nbs, ";
	$rech.= TBCO.".co_code, ".TBCO.".co_nom ";
	$rech.= "FROM ".TBCOCL.", ".TBCLI.", ".TBCO;
	
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= TBCOCL.".cocl_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 if (datefrcorrecte(trim($_GET['search'])) == TRUE)
		 {
		 	 $daterech = datefrang(trim($_GET['search']));
			 $rech .= " ".TBCOCL.".cocl_datecrea LIKE '%".addslashes($daterech)."%' OR";
			 $rech .= " ".TBCOCL.".cocl_datesig LIKE '%".addslashes($daterech)."%' OR";
			 $rech .= " ".TBCOCL.".cocl_dated LIKE '%".addslashes($daterech)."%' OR";
			 $rech .= " ".TBCOCL.".cocl_datef LIKE '%".addslashes($daterech)."%' OR";
			 $rech .= " ".TBCOCL.".cocl_daterel LIKE '%".addslashes($daterech)."%' OR";
			 $rech .= " ".TBCOCL.".cocl_datefin LIKE '%".addslashes($daterech)."%' OR";
		 }
		 $search = strtolower(str_escape(trim($_GET['search'])));
		 if (($search == "oui") OR ($search == "non"))
		 {
		 	if ($search == "oui")
			{
				$rech .= " ".TBCOCL.".cocl_renouv = '1' OR";
			}
			else
			{
				$rech .= " ".TBCOCL.".cocl_renouv = '0' OR";
			}
		 }
		 $rech .= " ".TBCOCL.".cocl_rnum LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBCOCL.".cocl_codecli=".TBCLI.".cli_code AND ".TBCOCL.".cocl_codeco=".TBCO.".co_code";
	else
		$rech .= " AND ".TBCOCL.".cocl_codecli=".TBCLI.".cli_code AND ".TBCOCL.".cocl_codeco=".TBCO.".co_code";
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des historiques interventions sur contrats **/

function cree_strrechlstcoclh()
{
	$rech = "SELECT ".TBINT.".int_code, ".TBINT.".int_datedde, ".TBINT.".int_codecli, ".TBINT.".int_codecocl, ";
	$rech.= TBINT.".int_codeage, ".TBINT.".int_daterdv, ".TBINT.".int_durees, ".TBINT.".int_codestatut, ";
	$rech.= TBINT.".int_datefin, ".TBCOCLH.".coclh_codecli, ".TBCOCLH.".coclh_codecocl, ".TBCOCLH.".coclh_codeint ";
	$rech.= "FROM ".TBINT.", ".TBCOCLH;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		 $rech .= " WHERE ".TBINT.".int_codecocl = '".str_escape(trim($_GET['search']))."'";
	}
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBINT.".int_code = ".TBCOCLH.".coclh_codeint";
	else
		$rech .= " AND ".TBINT.".int_code = ".TBCOCLH.".coclh_codeint";
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des relances contrats clients **/

function cree_strrechlstcoclr()
{
	$rech = "SELECT ".TBCOCL.".cocl_code, ".TBCOCL.".cocl_codeco, ".TBCOCL.".cocl_codecli, ".TBCOCL.".cocl_datecrea, ".TBCOCL.".cocl_daterec, ".TBCOCL.".cocl_dated, ";
	$rech.= TBCOCL.".cocl_datef, ".TBCOCL.".cocl_preavis, ".TBCOCL.".cocl_datefin, ".TBCOCL.".cocl_daterel, ".TBCOCL.".cocl_typh, ".TBCOCL.".cocl_soldes, ";
	$rech.= TBCOCL.".cocl_nivrel, ".TBCOCL.".cocl_renouv, ".TBCLI.".cli_ste, ".TBCLI.".cli_civilite, ".TBCLI.".cli_nom ";
	$rech.= "FROM ".TBCOCL.", ".TBCLI;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= TBCOCL.".cocl_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBCOCL.".cocl_codecli LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 if (datefrcorrecte(trim($_GET['search'])) == TRUE)
		 {
		 	 $daterech = datefrang(trim($_GET['search']));
			 $rech .= " ".TBCOCL.".cocl_datecrea LIKE '%".addslashes($daterech)."%' OR";
			 $rech .= " ".TBCOCL.".cocl_dated LIKE '%".addslashes($daterech)."%' OR";
			 $rech .= " ".TBCOCL.".cocl_datef LIKE '%".addslashes($daterech)."%' OR";
			 $rech .= " ".TBCOCL.".cocl_daterel LIKE '%".addslashes($daterech)."%' OR";
		 }
		 $rech .= " ".TBCOCL.".cocl_nivrel LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBCLI.".cli_ste LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBCLI.".cli_civilite LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBCLI.".cli_nom LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// ne pas rechercher les contrats déjà renouvelés
 	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBCOCL.".cocl_renouv = '0'";
	else
		$rech .= " AND ".TBCOCL.".cocl_renouv = '0'";
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBCOCL.".cocl_codecli=".TBCLI.".cli_code";
	else
		$rech .= " AND ".TBCOCL.".cocl_codecli=".TBCLI.".cli_code";
	// *** Fin de Recherche
	
	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des catégories de demandeurs **/

function cree_strrechlstddec()
{
	$rech = "SELECT * FROM " .TBDDEC;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " ddec_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ddec_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $search = strtolower(str_escape(trim($_GET['search'])));
		 if (($search == "oui") OR ($search == "non"))
		 {
		 	if ($search == "oui")
			{
				$rech .= " ddec_pub = '1' OR";
			}
			else
			{
				$rech .= " ddec_pub = '0' OR";
			}
		 }
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}


/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des destinataires des demandes**/

function cree_strrechlstdded()
{
	$rech = "SELECT * FROM " .TBDDED;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " dded_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " dded_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " dded_email LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $search = strtolower(str_escape(trim($_GET['search'])));
		 if (($search == "oui") OR ($search == "non"))
		 {
		 	if ($search == "oui")
			{
				$rech .= " dded_pub = '1' OR";
				$rech .= " dded_cli = '1' OR";
				$rech .= " dded_age = '1' OR";
				$rech .= " dded_tec = '1' OR";
				$rech .= " dded_ope = '1' OR";
			}
			else
			{
				$rech .= " dded_pub = '0' OR";
				$rech .= " dded_cli = '0' OR";
				$rech .= " dded_age = '0' OR";
				$rech .= " dded_tec = '0' OR";
				$rech .= " dded_ope = '0' OR";
			}
		 }
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des types de demandes **/

function cree_strrechlstddet()
{
	$rech = "SELECT * FROM " .TBDDET;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " ddet_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ddet_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $search = strtolower(str_escape(trim($_GET['search'])));
		 if (($search == "oui") OR ($search == "non"))
		 {
		 	if ($search == "oui")
			{
				$rech .= " ddet_pub = '1' OR";
				$rech .= " ddet_cli = '1' OR";
				$rech .= " ddet_age = '1' OR";
				$rech .= " ddet_tec = '1' OR";
				$rech .= " ddet_tec = '0' OR";
			}
			else
			{
				$rech .= " ddet_pub = '0' OR";
				$rech .= " ddet_cli = '0' OR";
				$rech .= " ddet_age = '0' OR";
				$rech .= " ddet_tec = '0' OR";
				$rech .= " ddet_ope = '0' OR";
			}
		 }
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des familles **/

function cree_strrechlstfam()
{
	$rech = "SELECT * FROM " .TBFAM;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " fam_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " fam_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des interventions **/

function cree_strrechlstint($tableau)
{
	$rech = "SELECT ".TBINT.".int_code, ".TBINT.".int_datedde, ".TBINT.".int_codeage, ".TBINT.".int_codedo, ".TBINT.".int_codecli, ";
	$rech.= TBINT.".int_codelieu, ".TBINT.".int_urg, ".TBINT.".int_codetec, ".TBINT.".int_codestatut, ";
	$rech.= TBCLI.".cli_ste, ".TBCLI.".cli_civilite, ".TBCLI.".cli_nom, ";
	$rech.= TBSTA.".statut_code, ".TBSTA.".statut_desc, ";
	$rech.= TBLIEU.".lieu_code, ".TBLIEU.".lieu_desc ";
	$rech.= "FROM ".TBINT.", ".TBCLI.", ".TBSTA.", ".TBLIEU;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= TBINT.".int_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 if (datefrcorrecte(trim($_GET['search'])) == TRUE)
		 {
		 	 $daterech = datefrang(trim($_GET['search']));
			 $rech .= " ".TBINT.".int_datedde LIKE '%".addslashes($daterech)."%' OR";
		 }
		 $rech .= " ".TBINT.".int_codeage LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBINT.".int_codedo LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBINT.".int_codecli LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBINT.".int_codelieu LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 foreach ($tableau as $index => $urgence)
		 {
			if(stristr($urgence,str_escape(trim($_GET['search']))) === FALSE)
			{
			}
			else
		 		$rech .= " ".TBINT.".int_urg='".$index."' OR";
		 }
		 $rech .= " ".TBINT.".int_codetec LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBINT.".int_codestatut LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBCLI.".cli_ste LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBCLI.".cli_civilite LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBCLI.".cli_nom LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBSTA.".statut_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBSTA.".statut_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBLIEU.".lieu_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBLIEU.".lieu_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	if(!stristr($rech,"WHERE "))
	{
		$rech .= " WHERE (".TBINT.".int_codecli=".TBCLI.".cli_code";
		$rech .= " AND ".TBINT.".int_codelieu=".TBLIEU.".lieu_code";
		$rech .= " AND ".TBINT.".int_codestatut=".TBSTA.".statut_code)";
	}
	else
	{
		$rech .= " AND ".TBINT.".int_codecli=".TBCLI.".cli_code";
		$rech .= " AND ".TBINT.".int_codelieu=".TBLIEU.".lieu_code";
		$rech .= " AND ".TBINT.".int_codestatut=".TBSTA.".statut_code";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des interventions pour les clients**/

function cree_strrechlstintc()
{
	$rech = "SELECT ".TBINT.".int_code, ".TBINT.".int_datedde, ".TBINT.".int_codeage, ".TBINT.".int_codecli, ";
	$rech.= TBINT.".int_codelieu, ".TBINT.".int_urg, ".TBINT.".int_codetec, ".TBINT.".int_codestatut, ";
	$rech.= TBINT.".int_dateprev, ".TBINT.".int_datefin, ".TBINT.".int_datemod, ";
	$rech.= TBSTA.".statut_code, ".TBSTA.".statut_desc, ";
	$rech.= TBLIEU.".lieu_code, ".TBLIEU.".lieu_desc ";
	$rech.= "FROM ".TBINT.", ".TBSTA.", ".TBLIEU;

	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= TBINT.".int_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 if (datefrcorrecte(trim($_GET['search'])) == TRUE)
		 {
		 	 $daterech = datefrang(trim($_GET['search']));
			 $rech .= " ".TBINT.".int_datedde LIKE '%".addslashes($daterech)."%' OR";
		 }
		 $rech .= " ".TBINT.".int_codeage LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBINT.".int_codetec LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBINT.".int_codestatut LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBSTA.".statut_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBSTA.".statut_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBLIEU.".lieu_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBLIEU.".lieu_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	if(!stristr($rech,"WHERE "))
	{
		$rech .= " WHERE (".TBINT.".int_codelieu=".TBLIEU.".lieu_code";
		$rech .= " AND ".TBINT.".int_codestatut=".TBSTA.".statut_code)";
	}
	else
	{
		$rech .= " AND ".TBINT.".int_codelieu=".TBLIEU.".lieu_code";
		$rech .= " AND ".TBINT.".int_codestatut=".TBSTA.".statut_code";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des lieux **/

function cree_strrechlstlieu()
{
	$rech = "SELECT * FROM " .TBLIEU;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " lieu_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " lieu_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des opérateurs **/

function cree_strrechlstope()
{
	$rech = "SELECT 
				ope_congd,
				ope_congf,
				ope_code,
				ope_prenom,
				ope_nom,
				ope_dep,
				ope_telf,
				ope_telp,
				ope_out,
				ope_dateout
			 FROM ".TBOPE;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 if (datefrcorrecte(trim($_GET['search'])) == TRUE)
		 {
		 	 $daterech = datefrang(trim($_GET['search']));
			 $rech .= " ope_congd LIKE '%".addslashes($daterech)."%' OR";
			 $rech .= " ope_congf LIKE '%".addslashes($daterech)."%' OR";
			 $rech .= " ope_dateout LIKE '%".addslashes($daterech)."%' OR";
		 }
		 $rech .= " ope_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ope_prenom LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ope_nom LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ope_telf LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ope_telp LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche	

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des ordres **/

function cree_strrechlstot($tableau)
{
	$rech = "SELECT ".TBOT.".ot_code, ".TBOT.".ot_datedde, ".TBOT.".ot_codest, ".TBOT.".ot_codeint, ";
	$rech.= TBOT.".ot_codelieu, ".TBOT.".ot_urg, ".TBOT.".ot_codestatut, ";
	$rech.= TBST.".st_nom, ".TBST.".st_resp_civilite, ".TBST.".st_resp_nom, ";
	$rech.= TBSTA.".statut_code, ".TBSTA.".statut_desc, ";
	$rech.= TBLIEU.".lieu_code, ".TBLIEU.".lieu_desc, ";
	$rech.= TBINT.".int_code, ".TBINT.".int_codeage, ".TBINT.".int_codedo, ".TBINT.".int_codecli ";
	$rech.= "FROM ".TBOT.", ".TBST.", ".TBSTA.", ".TBLIEU.", ".TBINT;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= TBOT.".ot_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 if (datefrcorrecte(trim($_GET['search'])) == TRUE)
		 {
		 	 $daterech = datefrang(trim($_GET['search']));
			 $rech .= " ".TBOT.".ot_datedde LIKE '%".addslashes($daterech)."%' OR";
		 }
		 $rech .= " ".TBOT.".ot_codest LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBOT.".ot_codelieu LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 foreach ($tableau as $index => $urgence)
		 {
			if(stristr($urgence,str_escape(trim($_GET['search']))) === FALSE)
			{
			}
			else
		 		$rech .= " ".TBOT.".ot_urg='".$index."' OR";
		 }
		 $rech .= " ".TBOT.".ot_codestatut LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBST.".st_nom LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBST.".st_resp_civilite LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBST.".st_resp_nom LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBSTA.".statut_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBSTA.".statut_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBLIEU.".lieu_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBLIEU.".lieu_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBINT.".int_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBINT.".int_codecli LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	if(!stristr($rech,"WHERE "))
	{
		$rech .= " WHERE (".TBOT.".ot_codest=".TBST.".st_code";
		$rech .= " AND ".TBOT.".ot_codelieu=".TBLIEU.".lieu_code";
		$rech .= " AND ".TBOT.".ot_codestatut=".TBSTA.".statut_code";
		$rech .= " AND ".TBOT.".ot_codeint=".TBINT.".int_code)";
	}
	else
	{
		$rech .= " AND ".TBOT.".ot_codest=".TBST.".st_code";
		$rech .= " AND ".TBOT.".ot_codelieu=".TBLIEU.".lieu_code";
		$rech .= " AND ".TBOT.".ot_codestatut=".TBSTA.".statut_code";
		$rech .= " AND ".TBOT.".ot_codeint=".TBINT.".int_code";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des ordres  pour les sous-traitants **/

function cree_strrechlstotst($tableau)
{
	$rech = "SELECT ".TBOT.".ot_code, ".TBOT.".ot_datedde, ".TBOT.".ot_codest, ".TBOT.".ot_codeint, ";
	$rech.= TBOT.".ot_codelieu, ".TBOT.".ot_urg, ".TBOT.".ot_codestatut, ";
	$rech.= TBST.".st_nom, ".TBST.".st_resp_civilite, ".TBST.".st_resp_nom, ";
	$rech.= TBSTA.".statut_code, ".TBSTA.".statut_desc, ";
	$rech.= TBLIEU.".lieu_code, ".TBLIEU.".lieu_desc, ";
	$rech.= TBINT.".int_code, ".TBINT.".int_codeage, ".TBINT.".int_codedo, ".TBINT.".int_codecli ";
	$rech.= "FROM ".TBOT.", ".TBSTA.", ".TBLIEU.", ".TBST.", ".TBINT;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= TBOT.".ot_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 if (datefrcorrecte(trim($_GET['search'])) == TRUE)
		 {
		 	 $daterech = datefrang(trim($_GET['search']));
			 $rech .= " ".TBOT.".ot_datedde LIKE '%".addslashes($daterech)."%' OR";
		 }
		 $rech .= " ".TBOT.".ot_codest LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBOT.".ot_codelieu LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 foreach ($tableau as $index => $urgence)
		 {
			if(stristr($urgence,str_escape(trim($_GET['search']))) === FALSE)
			{
			}
			else
		 		$rech .= " ".TBOT.".ot_urg='".$index."' OR";
		 }
		 $rech .= " ".TBOT.".ot_codestatut LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBSTA.".statut_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBSTA.".statut_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBLIEU.".lieu_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBLIEU.".lieu_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	if(!stristr($rech,"WHERE "))
	{
		$rech .= " WHERE (".TBOT.".ot_codest=".TBST.".st_code";
		$rech .= " AND ".TBOT.".ot_codelieu=".TBLIEU.".lieu_code";
		$rech .= " AND ".TBOT.".ot_codestatut=".TBSTA.".statut_code";
		$rech .= " AND ".TBOT.".ot_codeint=".TBINT.".int_code)";
	}
	else
	{
		$rech .= " AND ".TBOT.".ot_codest=".TBST.".st_code";
		$rech .= " AND ".TBOT.".ot_codelieu=".TBLIEU.".lieu_code";
		$rech .= " AND ".TBOT.".ot_codestatut=".TBSTA.".statut_code";
		$rech .= " AND ".TBOT.".ot_codeint=".TBINT.".int_code";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des origines **/

function cree_strrechlstori()
{
	$rech = "SELECT * FROM " .TBORI;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " orig_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " orig_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des périodicités **/

function cree_strrechlstper()
{
	$rech = "SELECT * FROM " .TBPER;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " per_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " per_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " per_nbj LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des produits **/

function cree_strrechlstrpdt()
{
	$rech = "SELECT * FROM " .TBPDT.", ".TBFAM;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= TBPDT.".pdt_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBPDT.".pdt_fam LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBPDT.".pdt_des LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBPDT.".pdt_detail LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBPDT.".pdt_puttc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $search = strtolower(str_escape(trim($_GET['search'])));
		 if (($search == "oui") OR ($search == "non"))
		 {
		 	if ($search == "oui")
			{
				$rech .= " ".TBPDT.".pdt_vendu = '1' OR";
			}
			else
			{
				$rech .= " ".TBPDT.".pdt_vendu = '0' OR";
			}
		 }
		 $rech .= " ".TBFAM.".fam_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";

		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	
	}
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBPDT.".pdt_fam=".TBFAM.".fam_code";
	else
		$rech .= " AND ".TBPDT.".pdt_fam=".TBFAM.".fam_code";
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des produits en saisie intervention **/

function cree_strrechlstrpdti()
{
	$rech = "SELECT * FROM " .TBPDT.", ".TBFAM;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= TBPDT.".pdt_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBPDT.".pdt_fam LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBPDT.".pdt_des LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBPDT.".pdt_detail LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBPDT.".pdt_puttc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBFAM.".fam_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";

		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	
	}
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBPDT.".pdt_fam=".TBFAM.".fam_code";
	else
		$rech .= " AND ".TBPDT.".pdt_fam=".TBFAM.".fam_code";
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBPDT.".pdt_vendu='1'";
	else
		$rech .= " AND ".TBPDT.".pdt_vendu='1'";
	// *** Fin de Recherche
	
	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des historiques produits par intervention **/

function cree_strrechlstpdtih()
{
	$rech = "SELECT ".TBPDTI.".pdti_codepdt, ".TBPDTI.".pdti_codeint, ".TBPDTI.".pdti_qte, ".TBPDTI.".pdti_puttc, ".TBPDTI.".pdti_ns, ";
	$rech.= TBINT.".int_code, ".TBINT.".int_codeage, ".TBINT.".int_codecli, ".TBINT.".int_datedde, ".TBINT.".int_datefin, ".TBINT.".int_codestatut, ";
	$rech.= TBPDT.".pdt_code, ".TBPDT.".pdt_des, ";
	$rech.= TBCLI.".cli_code, ".TBCLI.".cli_ste, ".TBCLI.".cli_civilite, ".TBCLI.".cli_nom ";
	$rech.= "FROM ".TBPDTI.", ".TBINT.", ".TBPDT.", ".TBCLI;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " ".TBPDTI.".pdti_codepdt LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBPDTI.".pdti_codeint LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBPDTI.".pdti_qte LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBPDTI.".pdti_puttc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBPDTI.".pdti_ns LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBINT.".int_codecli LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 if (datefrcorrecte(trim($_GET['search'])) == TRUE)
		 {
		 	 $daterech = datefrang(trim($_GET['search']));
			 $rech .= " ".TBINT.".int_datedde LIKE '%".addslashes($daterech)."%' OR";
		 	 $daterech = datefrang(trim($_GET['search']));
			 $rech .= " ".TBINT.".int_datefin LIKE '%".addslashes($daterech)."%' OR";
		 }
		 $rech .= " ".TBPDT.".pdt_des LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBCLI.".cli_ste LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBCLI.".cli_civilite LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBCLI.".cli_nom LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBPDTI.".pdti_codeint=".TBINT.".int_code";
	else
		$rech .= " AND ".TBPDTI.".pdti_codeint=".TBINT.".int_code";
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBPDTI.".pdti_codepdt=".TBPDT.".pdt_code";
	else
		$rech .= " AND ".TBPDTI.".pdti_codepdt=".TBPDT.".pdt_code";
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBINT.".int_codecli=".TBCLI.".cli_code";
	else
		$rech .= " AND ".TBINT.".int_codecli=".TBCLI.".cli_code";
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des règlements **/

function cree_strrechlstreg()
{
	$rech = "SELECT * FROM " .TBREG;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " reg_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " reg_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des statuts **/

function cree_strrechlststa()
{
	$rech = "SELECT * FROM " .TBSTA;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " statut_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " statut_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des techniciens **/

function cree_strrechlsttec($niv_util)
{
	$rech = "SELECT 
				tec_congd,
				tec_congf,
				tec_codeage,
				tec_codedo,
				tec_codest,
				tec_code,
				tec_prenom,
				tec_nom,
				tec_dep,
				tec_telf,
				tec_telp,
				tec_email,
				tec_out,
				tec_dateout
			 FROM ".TBTEC;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 if (datefrcorrecte(trim($_GET['search'])) == TRUE)
		 {
		 	 $daterech = datefrang(trim($_GET['search']));
			 $rech .= " tec_congd LIKE '%".addslashes($daterech)."%' OR";
			 $rech .= " tec_congf LIKE '%".addslashes($daterech)."%' OR";
			 $rech .= " tec_dateout LIKE '%".addslashes($daterech)."%' OR";
		 }
		 
		 switch ($niv_util)
		 {
		 	case 4 :
				$rech .= " tec_codeage LIKE '%".str_escape(trim($_GET['search']))."%' OR";
				break;
			case 6 :
				$rech .= " tec_codedo LIKE '%".str_escape(trim($_GET['search']))."%' OR";
				break;
			case 10 :
				$rech .= " tec_codest LIKE '%".str_escape(trim($_GET['search']))."%' OR";
				break;
			default :
				$rech .= " tec_codeage LIKE '%".str_escape(trim($_GET['search']))."%' OR";
				$rech .= " tec_codedo LIKE '%".str_escape(trim($_GET['search']))."%' OR";
				$rech .= " tec_codest LIKE '%".str_escape(trim($_GET['search']))."%' OR";
				break;
		 }
		 $rech .= " tec_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " tec_prenom LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " tec_nom LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " tec_telf LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " tec_telp LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " tec_email LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des textes types **/

function cree_strrechlsttxt()
{
	$rech = "SELECT * FROM ".TBTXT;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " txt_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " txt_entete LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " txt_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " txt_texte LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des catégories matériels pour les relevés **/

function cree_strrechlstrrpcat()
{
	$rech = "SELECT * FROM " .TBRPCAT;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " rpcat_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " rpcat_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des états pour les relevés **/

function cree_strrechlstrrpet()
{
	$rech = "SELECT * FROM " .TBRPET;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " rpet_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " rpet_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des types d'accès pour les relevés **/

function cree_strrechlstrrlptmta()
{
	$rech = "SELECT * FROM " .TBRLPTMTA;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " rlptmta_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " rlptmta_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des logiciels de télémaintenance pour les relevés **/

function cree_strrechlstrrlptml()
{
	$rech = "SELECT * FROM " .TBRLPTML;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " rlptml_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " rlptml_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des modes de mises à jour pour les relevés **/

function cree_strrechlstrrlpmm()
{
	$rech = "SELECT * FROM " .TBRLPMM;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " rlpmm_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " rlpmm_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des marques pour les relevés **/

function cree_strrechlstrrlpma()
{
	global
		$mques_types;
		
	$rech = "SELECT * FROM " .TBMQUE;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " mque_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " mque_ste LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 foreach ($mques_types as $index => $type)
		 {
			if(stristr($type,str_escape(trim($_GET['search']))) === FALSE)
			{
			}
			else
				$rech .= " mque_type = '".$index."' OR";
		}
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche
	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des relevés **/

function cree_strrechlstrrel()
{
	$rech = "SELECT ".TBREL.".rel_code, ".TBREL.".rel_datecrea, ".TBREL.".rel_datemod, ".TBREL.".rel_codecli, ".TBREL.".rel_codeage, ";
	$rech.= TBCLI.".cli_code, ".TBCLI.".cli_ste, ".TBCLI.".cli_civilite, ".TBCLI.".cli_nom ";
	$rech.= "FROM ".TBREL.", ".TBCLI;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= TBREL.".rel_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 if (datefrcorrecte(trim($_GET['search'])) == TRUE)
		 {
		 	 $daterech = datefrang(trim($_GET['search']));
			 $rech .= " ".TBREL.".rel_datecrea LIKE '%".addslashes($daterech)."%' OR";
			 $rech .= " ".TBREL.".rel_datemod LIKE '%".addslashes($daterech)."%' OR";
		 }
		 $rech .= " ".TBREL.".rel_codecli LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBREL.".rel_codeage LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBCLI.".cli_ste LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBCLI.".cli_civilite LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBCLI.".cli_nom LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBREL.".rel_codecli=".TBCLI.".cli_code";
	else
		$rech .= " AND ".TBREL.".rel_codecli=".TBCLI.".cli_code";
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des types de licences pour les relevés **/

function cree_strrechlstrrltl()
{
	$rech = "SELECT ".TBRLTL.".rltl_code, ".TBRLTL.".rltl_desc, ".TBRLTL.".rltl_codema, ";
	$rech.= TBMQUE.".mque_code, ".TBMQUE.".mque_ste ";
	$rech.= "FROM ".TBRLTL.", ".TBMQUE;

	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " ".TBRLTL.".rltl_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBRLTL.".rltl_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBRLTL.".rltl_codema LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBMQUE.".mque_ste LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBRLTL.".rltl_codema=".TBMQUE.".mque_code";
	else
		$rech .= " AND ".TBRLTL.".rltl_codema=".TBMQUE.".mque_code";

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des types de médias pour les relevés **/

function cree_strrechlstrrlmed()
{
	$rech = "SELECT * FROM " .TBRLMED;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " rlmed_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " rlmed_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des spécialités **/

function cree_strrechlstsp()
{
	$rech = "SELECT * FROM " .TBSP;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " sp_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " sp_desc LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des sous-traitants **/

function cree_strrechlstst()
{
	$rech ="";

	$rech = "SELECT * FROM " .TBST.", ".TBVILLES.", ".TBPAYS;
	$rech.= " WHERE ".TBST.".st_ville=".TBVILLES.".villes_id AND ".TBST.".st_codepays=".TBPAYS.".pays_code";
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// WHERE existe ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= TBST.".st_code LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBST.".st_nom LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBST.".st_telf LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBST.".st_ville LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBST.".st_codepays LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBST.".st_zone LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBST.".st_email LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBST.".st_spe LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBVILLES.".villes_cp LIKE '%".str_escape(trim($_GET['search']))."%' OR";
		 $rech .= " ".TBPAYS.".pays_nom LIKE '%".str_escape(trim($_GET['search']))."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche
	
	return $rech;
}

// Récupération des variables "tri" et "ord" pour la création de la chaîne de recherche
// Si $inc_limit est vraie, Ajout de "LIMIT" à la requête MySQL

function crestr_triord($tableau,$clefdefaut,$inc_limit,$val_limit)
{
	if (@$_GET['tri'] <> "")
	{
		if ((@$_GET['ord'] == "ASC") OR (@$_GET['ord'] == ""))
			$complement_rech =" ORDER BY '".$tableau[$_GET['tri']]."'";
		if (@$_GET["ord"] == "DES")
			$complement_rech =" ORDER BY '".$tableau[$_GET['tri']]."' DESC";
	}
	else
	{
		$complement_rech =" ORDER BY '".$clefdefaut."'";
	}
	if ($inc_limit == TRUE)
		$complement_rech .= " LIMIT ".$_GET['page'].", $val_limit"; // Ajout de LIMIT
		
	return $complement_rech;	
}

?> 
